# An async wrapper for nodejs' `spawn`

```typescript
import { simpleSpawn } from "async-spawner";
await simpleSpawn("ls", ["-al"]);
```

```typescript
import { deferedSpawn } from "async-spawner";
const ping = await deferedSpawn("ping", ["8.8.8.8"]);
let response;
do{
    response = await ping.waitForNextData();
    console.log("new ping!", response);
}
ping.kill();
```
